Use a more recent version of leaflet [applied]